> For the complete documentation index, see [llms.txt](https://docs.layraweb.com.tr/merhaba/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.layraweb.com.tr/merhaba/anadil/kutuphane/rs32/metotlar/appendtostm.md).

# AppendToStm

Bu metin, PrepareStmDirect() metodunun uzun SQL ifadelerini işletmek için kullanıldığı ve .AppendToStm() metodunun 256 karakter sınırına sahip olduğu durumlarda kullanımının nasıl yapılabileceği hakkında bilgi vermektedir. Herhangi bir sayı limiti olmadan, uzun statement ifadeleri 256 karakterden küçük parçalara ayrılarak RS nesnesine eklenerek kullanılabilir. Anadil® otomatik olarak parçaları birleştirerek SQL ifadesini derleyecektir. En son eklenen parça, .ExecuteStm() metodunun uygulanmasıyla SQL işletimi gerçekleştirilir.

**Kullanımı :**&#x20;

<pre class="language-visual-basic"><code class="lang-visual-basic">Rs:=PrepareStmDirect("SELECT id,sehir_adi ")
<strong>Rs.AppendToStm(" FROM ulke_sehirleri")
</strong>
f.combo_sehir.SelectTextInList("Seçim Yapın") 

Rs.Close()
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.layraweb.com.tr/merhaba/anadil/kutuphane/rs32/metotlar/appendtostm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
